Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class PurchaseReservedInstancesOfferingResult

    java.lang.Object
      com.amazonaws.services.ec2.model.PurchaseReservedInstancesOfferingResult

    public class PurchaseReservedInstancesOfferingResult

extends Object

The result of purchasing a Reserved Instances offering. Contains the new, unique ID of the Reserved Instances purchased for your account.

Constructor Summary
`PurchaseReservedInstancesOfferingResult()`

Method Summary
`String` | `getReservedInstancesId()` The unique ID of the Reserved Instances purchased for your account.
`void` | `setReservedInstancesId(String reservedInstancesId)` The unique ID of the Reserved Instances purchased for your account.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`PurchaseReservedInstancesOfferingResult` | `withReservedInstancesId(String reservedInstancesId)` The unique ID of the Reserved Instances purchased for your account.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PurchaseReservedInstancesOfferingResult

    public PurchaseReservedInstancesOfferingResult()

Method Detail

### getReservedInstancesId

    public String getReservedInstancesId()

  The unique ID of the Reserved Instances purchased for your account.

  Returns:
    The unique ID of the Reserved Instances purchased for your account.

### setReservedInstancesId

    public void setReservedInstancesId(String reservedInstancesId)

  The unique ID of the Reserved Instances purchased for your account.

  Parameters:
    `reservedInstancesId` - The unique ID of the Reserved Instances purchased for your account.

### withReservedInstancesId

    public PurchaseReservedInstancesOfferingResult withReservedInstancesId(String reservedInstancesId)

  The unique ID of the Reserved Instances purchased for your account.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesId` - The unique ID of the Reserved Instances purchased for your account.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.